Bug 18690 - Typos in Koha database description (Table "borrowers")
Summary: Typos in Koha database description (Table "borrowers")
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Database (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-29 10:42 UTC by Michael Kuhn
Modified: 2017-07-31 11:20 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18690 - Typos in Koha database description (Table "borrowers") (7.88 KB, patch)
2017-05-29 18:16 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18690 - Typos in Koha database description (Table "borrowers") (7.96 KB, patch)
2017-06-05 20:15 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Kuhn 2017-05-29 10:42:06 UTC
There are some typos in the SchemaSpy description of table "borrowers".
* http://schema.koha-community.org/16_11/tables/borrowers.html

1. In the comment for field "debarred" (YYY-MM-DD) should by replaced by (YYYY-MM-DD)

2. In the comment for field "smsalertnumber" SNS should be replaced by SMS

3. In the comments of fields "contactname", "contacttitle", "guarantorid", "relationship" the term "guarentor" is used, but it should be "guarantor".

4. The comment for field "password" reads "patron/borrower's encrypted password". I think it could be more explicit by writing "patron/borrower's Bcrypt encrypted password".
Comment 1 Marc Véron 2017-05-29 17:59:40 UTC
Verified for current master.
Comment 2 Marc Véron 2017-05-29 18:16:20 UTC
Created attachment 63833 [details] [review]
Bug 18690 - Typos in Koha database description (Table "borrowers")

This string patch fixes typos in kohastructure.sql as described in initial
comment.

To test:
- Carefully verify that string changes make sense
Comment 3 Michael Kuhn 2017-05-29 20:16:49 UTC
Strings are now correct as expected.
Comment 4 Marc Véron 2017-05-29 20:25:29 UTC
Thanks, Michael, for testing and confirming that changes are OK.

But sorry, to set a bug to Signed Off you have to apply the patch on your development environment, then sign off on the patch (that adds your sign off to the patch), and then attach the patch again.

See https://wiki.koha-community.org/wiki/Sign_off_on_patches
I use the git bz workflow mentioned there, see:
https://wiki.koha-community.org/wiki/Git_bz_configuration

Setting back to NSO
Comment 5 Jonathan Druart 2017-06-05 20:15:38 UTC
Created attachment 63997 [details] [review]
Bug 18690 - Typos in Koha database description (Table "borrowers")

This string patch fixes typos in kohastructure.sql as described in initial
comment.

To test:
- Carefully verify that string changes make sense

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2017-06-05 20:18:18 UTC
Trivial, skipping QA.
Comment 7 Jonathan Druart 2017-06-06 19:04:12 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 8 Fridolin SOMERS 2017-06-12 08:58:53 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 9 Katrin Fischer 2017-06-13 05:42:24 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 10 Mason James 2017-07-31 11:20:03 UTC
Pushed to 16.05.x, for 16.05.15 release